#!/bin/bash
# chkconfig: 234 20 80
# description: Rserve startup

### BEGIN INIT INFO
# Provides:          rserve
# Required-Start:    networking
# Default-Start:     S
# Default-Stop:      0 6
### END INIT INFO

#${RUNAS}

if [[ -f /etc/rc.d/init.d/functions ]]; then
    . /etc/rc.d/init.d/functions
fi
export USER="rserve2"
export R_LIBS=$INSTALL_FOLDER$/rserve/R

if [ ! -e $INSTALL_FOLDER$/rserve/tmp ];
then
mkdir -p $INSTALL_FOLDER$/rserve/workdir/tmp
chmod 777 $INSTALL_FOLDER$/rserve/workdir/tmp
export TMPDIR=$INSTALL_FOLDER$/rserve/workdir/tmp
fi

start() {
      rm -rf $INSTALL_FOLDER$/rserve/workdir/Rserv9.4.7
      if [ -f /etc/debian_version ]; then
          start-stop-daemon --start --quiet --user "$USER" --chuid "$USER" --exec /usr/bin/R -- CMD $INSTALL_FOLDER$/rserve/R/bin/Rserve --no-save --no-site-file --RS-conf $INSTALL_FOLDER$/rserve/Rserv.conf  > $INSTALL_FOLDER$/rserve/R/log 2>&1
      elif [ -f /etc/SuSE-release ]; then
          startproc -u "$USER" /usr/bin/R CMD $INSTALL_FOLDER$/rserve/R/bin/Rserve --no-save --no-site-file --RS-conf $INSTALL_FOLDER$/rserve/Rserv.conf  > $INSTALL_FOLDER$/rserve/R/log 2>&1
      else
          daemon --user "$USER" /usr/bin/R CMD $INSTALL_FOLDER$/rserve/R/bin/Rserve --no-save --no-site-file --RS-conf $INSTALL_FOLDER$/rserve/Rserv.conf  > $INSTALL_FOLDER$/rserve/R/log 2>&1
      fi
}
stop() {
      pgrep -u "$USER" | xargs kill -9
}

case "$1" in
start)
        start
;;

stop)
        stop
	;;

restart)
        echo "stopping Rserve"
        stop
        sleep 2
        echo "starting Rserve"
        start
;;
esac

exit 0
